Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tonbeller.wcf.component
Class ComponentTag

    java.lang.Object
      javax.servlet.jsp.tagext.TagSupport
          com.tonbeller.wcf.component.ComponentTag

All Implemented Interfaces:
  javax.servlet.jsp.tagext.IterationTag, java.io.Serializable, javax.servlet.jsp.tagext.Tag

Direct Known Subclasses:
  CategoryEditorTag, ConfirmComponentTag, FormComponentTag, LogTag, TableComponentTag, TablePropertiesFormTag, ToolBarTag, TreeComponentTag, WizardComponentTag

public abstract class ComponentTag
extends javax.servlet.jsp.tagext.TagSupport

initializes the component during doEndTag()

Author:
  av
See Also:
  Serialized Form

Field Summary

Fields inherited from class javax.servlet.jsp.tagext.TagSupport
`id, pageContext`

Fields inherited from interface javax.servlet.jsp.tagext.IterationTag
`EVAL_BODY_AGAIN`

Fields inherited from interface javax.servlet.jsp.tagext.Tag
`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

Constructor Summary
`ComponentTag()`

Method Summary
`protected abstract Component` | `createComponent(RequestContext context)` creates the component.
`int` | `doEndTag()`
`int` | `doStartTag()` Creates the component if it does not exsist in the session.
`Component` | `getComponent()` returns the component
`boolean` | `isObjectCreated()` returns true if the previous call to doStartTag has created the object, so further initialization can be done.
`void` | `setRole(java.lang.String role)`
`void` | `setValidate(boolean validate)`
`void` | `setVisible(boolean b)`

Methods inherited from class javax.servlet.jsp.tagext.TagSupport
`doAfterBody, findAncestorWithClass, getId, getParent, getValue, getValues, release, removeValue, setId, setPageContext, setParent, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ComponentTag

    public ComponentTag()

Method Detail

### createComponent

    protected abstract Component createComponent(RequestContext context)
                                          throws java.lang.Exception

  creates the component. Called whenever the object does not exist in the session

  Returns:
    the object that will be placed into the session
  Throws:
    `java.lang.Exception`

### doStartTag

    public int doStartTag()
                   throws javax.servlet.jsp.JspException

  Creates the component if it does not exsist in the session. If the component is created the body of the tag is evaluated, else its skipped.

  Throws:
    `javax.servlet.jsp.JspException`

### getComponent

    public Component getComponent()

  returns the component

### isObjectCreated

    public boolean isObjectCreated()

  returns true if the previous call to doStartTag has created the object, so further initialization can be done.

### doEndTag

    public int doEndTag()
                 throws javax.servlet.jsp.JspException

  Throws:
    `javax.servlet.jsp.JspException`

### setVisible

    public void setVisible(boolean b)

  Parameters:
    `b` -

### setRole

    public void setRole(java.lang.String role)

  Parameters:
    `role` -

### setValidate

    public void setValidate(boolean validate)

  Parameters:
    `validate` - The validate to set.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD